Greetings from K2!

The K2 4.6.9 release requires a change to trust.k2.com, the site used for OAuth token flows between SharePoint Online and K2 blackpearl. This change will occur on March 31, 2015 and at that time K2 blackpearl for SharePoint apps that have not been updated will no longer work and encounter the error described in KB001671 (http://help.k2.com/KB001671).

Note: This change only affects K2 blackpearl with SharePoint Online configurations. SharePoint on-premises configurations are not affected.

In order to ensure that your SharePoint apps will continue to work seamlessly, you will need to update all K2 blackpearl for SharePoint apps deployed to your SharePoint Online environments. The recommended approach is to upgrade your K2 environment to the full K2 4.6.9 release, including the K2 for SharePoint 2013 components and the K2 blackpearl for SharePoint app. If you are unable to update the K2 environment to the full K2 4.6.9 release before March 31, 2015, to avoid OAuth token flow errors you will need to update at least your K2 blackpearl for SharePoint app per the instructions described in KB001671 (http://help.k2.com/KB001671).

If you have any questions, please contact your Customer Account Manager.